#include <cassert>
#include <iostream>

#define ASSERT_MSG(cond, msg)                                                  \
    do {                                                                       \
        if (!(cond)) {                                                         \
            std::cerr << "Assertion failed: " << msg << "\n";                  \
            assert(cond);                                                      \
        }                                                                      \
    } while (0)
